Bug 949083 - regression, [drm:radeon_get_bios] ERROR Unable to locate a BIOS ROM
Summary: regression, [drm:radeon_get_bios] ERROR Unable to locate a BIOS ROM
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-05 20:19 UTC by Chris Murphy
Modified: 2015-02-17 14:57 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-02-17 14:57:00 UTC


Attachments (Terms of Use)
dmesg 3.9.0-0.rc5.git2.1 (104.80 KB, text/plain)
2013-04-05 20:19 UTC, Chris Murphy
no flags Details
dmesg 3.8.5-201 (97.45 KB, text/plain)
2013-04-05 20:24 UTC, Chris Murphy
no flags Details
dmesg mbp82 kernel-3.9.0-rc5-mjg54patch (106.90 KB, text/plain)
2013-04-05 22:22 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2013-04-05 20:19:34 UTC
Created attachment 732006 [details]
dmesg 3.9.0-0.rc5.git2.1

Description of problem:
Display freezes on boot with 3.9.0-0.rc5.git2.1.fc19.x86_64, where it was previously working with 3.8.5-201.fc18.x86_64.

Version-Release number of selected component (if applicable):
System is Fedora 18 fully updated, with a yum installed kernel-3.9.0-0.rc5.git2.1.fc19.x86_64

How reproducible:
Display always functions (text or graphical) with 3.8.5, and always freezes with all 3.9.0 kernels up to 3.9.0-0.rc5.git2.1.



Steps to Reproduce:
1. Fedora 18 fully updated.
2. yum install kernel-3.9.0-0.rc5.git2.1.fc19.x86_64.rpm
3. Reboot

Actual results:
Display freezes at:
fb: conflicting fb hw usage radeondrmfb vs EFI VGA - removing generic driver

Expected results:
For the display to not freeze, to function as good or better than 3.8.5.


Additional information:
Macbook Pro 8,2 has both:
AMD Radeon HD 6750M, ROM rev 113-C0170L-573
Intel HD Graphics 3000

Comment 1 Chris Murphy 2013-04-05 20:24:08 UTC
Created attachment 732009 [details]
dmesg 3.8.5-201

Comment 2 Chris Murphy 2013-04-05 22:22:14 UTC
Created attachment 732036 [details]
dmesg mbp82 kernel-3.9.0-rc5-mjg54patch

This bug seems similar to Bug 927451, so I gave the mjg54 patch a whirl and it appears to fix this bug as well.

Comment 3 Fedora End Of Life 2015-01-09 17:51:34 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-02-17 14:57:00 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.